# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88.0"
name = "iso4217-static"
version = "0.2.3"
authors = ["James Cape <jamescape777@pm.me>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Static ISO 4217 Data"
documentation = "https://docs.rs/iso4217-static"
readme = "README.md"
keywords = [
    "iso4217",
    "currency",
]
categories = [
    "finance",
    "localization",
    "no-std",
    "no-std::no-alloc",
]
license = "Apache-2.0"
repository = "https://github.com/jcape/iso4217"
resolver = "2"

[package.metadata.docs.rs]
all-features = true

[features]
alloc = [
    "iso3166-static/alloc",
    "serde?/alloc",
    "zerocopy?/alloc",
]
default = ["serde"]
serde = [
    "dep:serde",
    "iso3166-static/serde",
]
zerocopy = ["dep:zerocopy"]

[lib]
name = "iso4217_static"
path = "src/lib.rs"

[dependencies.cfg-if]
version = "1"

[dependencies.chrono]
version = "0.4.42"
default-features = false

[dependencies.iso3166-static]
version = "0.4.0"
default-features = false

[dependencies.iso4217-macros]
version = "=0.2.3"
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true
default-features = false

[dependencies.zerocopy]
version = "0.8.21"
features = ["derive"]
optional = true
default-features = false

[dev-dependencies.serde]
version = "1"
features = [
    "derive",
    "alloc",
    "derive",
]
default-features = false

[dev-dependencies.serde_json]
version = "1"

[build-dependencies.iso4217-macros]
version = "=0.2.3"
default-features = false

[lints.clippy]
cargo = "deny"
complexity = "deny"
pedantic = "deny"
perf = "deny"
style = "deny"

[lints.rust]
missing_debug_implementations = "deny"
missing_docs = "deny"
rust_2018_idioms = "deny"
unreachable_pub = "deny"
unsafe_code = "deny"
